Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1366438 - Display does not blank or shut off after set period of time
Summary: Display does not blank or shut off after set period of time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 00:58 UTC by Randy Berry
Modified: 2018-01-05 15:56 UTC (History)
3 users (show)

Fixed In Version: xfce4-power-manager-1.6.1-1.fc27 xfce4-power-manager-1.6.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 23:58:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
fpaste --sysinfo (deleted)
2016-08-12 00:58 UTC, Randy Berry
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 12857 0 None None None 2016-09-17 16:44:02 UTC

Description Randy Berry 2016-08-12 00:58:01 UTC
Created attachment 1190243 [details]
fpaste --sysinfo

Description of problem:
Power Manager does not turn off display after set period of time. After every reboot you must turn off and on a few times and back on again in order for it to start working. I've tried this with several kernels so it's at least not a kernel issue.

Version-Release number of selected component (if applicable):
xfce4-power-manager-1.6.0-4.fc24.x86_64

How reproducible:
After reboot, wait x time display is not blanked or powered off.

Steps to Reproduce:
1.Reboot
2.login and wait x time with no activity
3.no blank
4.no power off

Actual results:
Screen does not blank or shut off after set period of time in battery or AC power. You have to open power-manager and toggle it off and on a few times to get it to work properly.

Expected results:
Screen should blank and or shut off after elapsed time and no activity.

Additional info:

see attachment for system info

Comment 1 Kevin Fenzi 2016-08-14 18:14:17 UTC
Odd. Can you: 

- Login and run 'xfce4-power-manager -q'

- then run 'xfce4-power-manager --debug --no-daemon' and attach the output from that after it gets to the time it should blank or power off the display but hasn't?

Comment 2 Randy Berry 2016-08-15 20:42:17 UTC
Well, after running the two commands above the blank/power off works flawlessly. (Twice.) But if I don't run those two commands or go into the power manager settings and turn the display control off and on again after a login or reboot it won't work. The display stays running indefinitely. 

Naturally, once I close the terminal running the second command it also stops working. But the icon in the tray doesn't disappear. If I go in and reset it, it starts working again.

Comment 3 Kevin Fenzi 2016-08-16 17:18:05 UTC
Very odd. Does the behavior change any if you boot in permissive selinux mode?

(ie, I wonder if it's some odd selinux denial)

Comment 4 Randy Berry 2016-08-20 21:17:50 UTC
It's fixed itself.. Or I did something, I don't know. 
Closing the bug. Thanks Kevin.

Comment 5 Randy Berry 2016-09-14 17:23:11 UTC
Yup, It's back again.. I'm wondering if it's kernel related after all. I am running 4.7.3-200 right now but it seemed to also be on 4.7.2-200. I don't recall if it was happening on the kernel before those two. I don't see any SELinux errors in the log so it does not appear to be some weird denial issue.

I went off to lunch this afternoon and when I came back the screen was still burning. When I opened power manager settings and turned off monitor control, and back on again it started to work. It's like something has not been loaded properly at boot/login because I did reboot this morning. Each time I reboot I have to reset display control for the screen to blank properly.

I'm puzzled.

Comment 6 Kevin Fenzi 2016-09-15 16:08:01 UTC
Yeah, I am pretty puzzled too. ;) 

Perhaps it's some startup ordering issue... could you boot and see that the problem is happening then do: 'pstree -anp' then poke the settings and do another 'pstree -anp' and we can see if there's any difference.

Comment 7 Randy Berry 2016-09-15 18:05:26 UTC
before https://paste.fedoraproject.org/428566/47396219/ (no blank)


after  https://paste.fedoraproject.org/428561/47396211/ (blanking)

I noticed in both cases there are several instances of xfce power man running. However, nothing changes.

Comment 8 Kevin Fenzi 2016-09-17 16:18:01 UTC
Yeah, nothing stands out there at all. ;( 

Would you be willing to file this upstream at bugzilla.xfce.org ? 

Or would you like me to do so?

Comment 9 Randy Berry 2016-09-17 16:44:02 UTC
https://bugzilla.xfce.org/show_bug.cgi?id=12857

Comment 10 Fedora Admin XMLRPC Client 2017-01-28 15:22:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora End Of Life 2017-02-28 10:05:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 12 Fedora Update System 2017-12-23 19:35:03 UTC
xfce4-power-manager-1.6.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec289f3b63

Comment 13 Fedora Update System 2017-12-23 19:35:20 UTC
xfce4-power-manager-1.6.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-db7878f368

Comment 14 Fedora Update System 2017-12-24 22:54:09 UTC
xfce4-power-manager-1.6.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-db7878f368

Comment 15 Fedora Update System 2017-12-24 23:22:53 UTC
xfce4-power-manager-1.6.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec289f3b63

Comment 16 Fedora Update System 2018-01-04 23:58:47 UTC
xfce4-power-manager-1.6.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-01-05 15:56:02 UTC
xfce4-power-manager-1.6.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.